<template>
  <v-container 
    fluid 
    fill-height>
    <v-layout 
      align-center 
      justify-center>
      <v-flex 
        xs12 
        sm8 
        md4>
        <v-card class="elevation-12">
          <v-toolbar 
            dark 
            color="primary">
            <v-toolbar-title>Login</v-toolbar-title>
            <v-spacer/>
          </v-toolbar>

          <v-card-text>
            <v-form 
              ref="form" 
              v-model="valid" 
              lazy-validation>
              <v-text-field 
                v-model="user.email"
                :rules="rules.emailRules"
                prepend-icon="person"
                
                label="E-mail"
                required
              />
              <v-text-field 
                v-model="user.password"
                :rules="rules.passwordRules"
                prepend-icon="lock"
                label="Password"
                
                type="password"
                required
              />
              <!--v-checkbox
                label="Do you agree?"
                v-model="checkbox"
                :rules="[v => !!v || 'You must agree to continue!']"
                required
              ></v-checkbox-->

            </v-form>

          </v-card-text>
          <v-card-actions>
            <v-btn 
              flat 
              small>Forgot your password?</v-btn>
            <v-spacer/>
            <v-btn 
              :disabled="!valid" 
              color="primary" 
              @click="login(user)">Login</v-btn>
          </v-card-actions>
        </v-card>
      </v-flex>
    </v-layout>
  </v-container>
</template>

<script>

export default {
	data: () => ({
		valid: true,
		user: {
			email: null,
			password: null
		},
		rules: {
			passwordRules: [
				v => !!v || 'Password is required',
				v => (v && v.length <= 10) || 'Password must be at lest 6 characters'
			],
			emailRules: [
				v => !!v || 'E-mail is required',
				v => /.+@.+/.test(v) || 'E-mail must be valid'
			],
		}
	}),

	computed: {
	},

	methods: {
		/**
       *
       */
		login (user) {
			if( this.$refs.form.validate() ) {
				this.$auth.login(user)
					.then(response => {
						console.log('login success', response.data)

						this.$router.push( {
							name: 'dashboard',
							/*params: {
                  companyId: this.$store.getters.companyId
                }*/
						} )

					})
					.catch(response =>{
						console.log('login fail')
					})
			}
		},

	}
}
</script>